petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESAddOptionsChecker

Adds an additional function to check for SNES options.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESAddOptionsChecker(PetscErrorCode (*snescheck)(SNES))

Not Collective Many br

### Input Parameter

snescheck -function that checks for options Many br

Many br

### See Also

SNESSetFromOptions()

Level:developer
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages